> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Customer

> This API is used to create a customer with unique email. Multiple customers cannot have the same email. After creating customer customerId can be used in the subsequent calls for creating billing session and subscriptions, and also to filter the data in different APIs.



## OpenAPI

````yaml /api-reference/customers/customer.json post /customer/v1.0/addCustomer
openapi: 3.0.3
info:
  title: customer API
  description: API's to add and get customer information.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /customer/v1.0/addCustomer:
    post:
      tags:
        - Customer
      summary: Create Customer
      description: >-
        This API is used to create a customer with unique email. Multiple
        customers cannot have the same email. After creating customer customerId
        can be used in the subsequent calls for creating billing session and
        subscriptions, and also to filter the data in different APIs.
      operationId: Add Customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
              properties:
                name:
                  type: string
                  description: Name of the customer.
                email:
                  type: string
                  description: Customer's email. Required to send an invoice.
                phoneNo:
                  type: string
                  description: >-
                    The customer's Indian phone number in the format
                    +91-XXXXXXXXXX.
                country:
                  type: string
                  enum:
                    - INDIA
                  description: Country of the customer.
                taxIdentity:
                  type: string
                  description: PAN number of the customer.
                gstIdentity:
                  type: string
                  description: >-
                    If the customer is a business, GST can be used so that the
                    business can get input credits.
                shipTo:
                  type: object
                  description: Shipping details of the customer.
                  additionalProperties: true
                billTo:
                  type: object
                  description: Billing Details of the customer
                  required:
                    - country
                  properties:
                    name:
                      type: string
                      description: Name of the customer
                    line1:
                      type: string
                      description: Address Line 1 of the customer
                    line2:
                      type: string
                      description: Address Line 2 of the customer
                    city:
                      type: string
                      description: City of the customer
                    state:
                      type: string
                      description: State of the customer address
                    country:
                      type: string
                      description: Country of the customer.
                    postalCode:
                      type: string
                      description: 'Pin code of the customer. '
                sameAsBilling:
                  type: boolean
                  description: >-
                    To make the shipping address the same as the billing
                    address.

                     If sameAsBilling the parameter value is set as true then shipTo is not mandatory and the invoice will have the same shipping and billing address.
      responses:
        '200':
          description: Contains the customer data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createCustomer'
components:
  schemas:
    createCustomer:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Contains the customer data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.